%define srcname pyudev

Summary:          A libudev binding
Name:             python-%{srcname}
Version:          0.23.2
Release:          %mkrel 1
License:          LGPLv2+
Group:            Development/Python
URL:              https://pypi.python.org/pypi/pyudev
Source0:          https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.xz
BuildArch:        noarch
BuildRequires:    pkgconfig(udev)

%description
pyudev is a Python binding to libudev, the hardware management library
and service found in modern linux systems.

%package -n python3-%{srcname}
Summary:          A libudev binding
Group:            Development/Python
BuildRequires:    python3-devel
BuildRequires:    python3dist(setuptools)
Provides:         python3-udev = %{version}-%{release}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
pyudev is a Python3 binding to libudev, the hardware management library
and service found in modern linux systems.

%package -n python3-%{srcname}-qt4
Summary:          Qt4 integration for pyudev
Group:            Development/Python
%{?python_provide:%python_provide python3-%{srcname}-qt4}
Requires:         python3-qt4
Requires:         python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-qt4
Qt4 integration for pyudev.

This package provides a module pyudev.pyqt4 that contains classes for
integrating a pyudev monitor with the Qt4 main loop.

%package -n python3-%{srcname}-qt5
Summary:          Qt5 integration for pyudev
Group:            Development/Python
%{?python_provide:%python_provide python3-%{srcname}-qt5}
Requires:         python3-qt5
Requires:         python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-qt5
Qt5 integration for pyudev.

This package provides a module pyudev.pyqt5 that contains classes for
integrating a pyudev monitor with the Qt4 main loop.

%prep
%setup -qn %{srcname}-%{version}

#drop bundled egg-info
rm -rf pyudev.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%{python3_sitelib}/pyudev
%{python3_sitelib}/pyudev-%{version}-*.egg-info
%exclude %{python3_sitelib}/pyudev/pyqt4.py
%exclude %{python3_sitelib}/pyudev/pyqt5.py

%files -n python3-%{srcname}-qt4
%{python3_sitelib}/pyudev/pyqt4.py

%files -n python3-%{srcname}-qt5
%{python3_sitelib}/pyudev/pyqt5.py


%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 0.23.2-1pclos2022
- update and rebuild for python 3.10

* Thu Oct 03 2019 tex - 0.21.0-2pclos2019
- split out qt4 and qt5 
